Create a voiceprint
POST/spaces/{owner}/{space}/voiceprints
Create a new voiceprint by providing its details.
Review the voiceprint models to select which one to use and its version.
Path Parameters
The handle of the owner.
Possible values: non-empty and <= 50 characters
The handle of the space.
Possible values: non-empty and <= 50 characters
Body
requiredThe handle of the new voiceprint. Must be unique.
string<handle>Possible values: non-empty and <= 50 characters
voiceprint-aThe alias of the new voiceprint.
string,null<alias>Possible values: non-empty and <= 100 characters
Voiceprint AThe model used to compute the new voiceprint. See voiceprint models.
phone/v1The handle of the identity of the new voiceprint.
string<handle>Possible values: non-empty and <= 50 characters
identity-aThe minimum number of audios required to compute the new voiceprint.
integer<int32>3Responses
- 201
- 404
- 409
The created voiceprint
Response Body
The UUID of the voiceprint. Is unique.
string<uuid>00000000-0000-0000-0000-000000000000The handle of the voiceprint. Is unique.
string<handle>voiceprint-aThe alias of the voiceprint.
string,null<alias>Voiceprint AThe state of the voiceprint
VoiceprintState (string)Possible values: [notComputable, computable, computed]
notComputableidentityobjectrequired
The identity of the voiceprint.
The handle of the identity. Is unique.
string<handle>identity-aThe alias of the identity.
string,null<alias>Identity AThe total duration of the audios added to the voiceprint.
string<duration>PT7.500SThe minimum number of audios required to compute the voiceprint.
integer<int32>3The number of audios added to the voiceprint.
integer<int32>2The number of verifications of the voiceprint.
integer<int32>10The date and time when the voiceprint was created.
string<date-time>2023-01-01T00:00:00.000000ZThe date and time when the voiceprint was computed.
string<date-time>2023-01-01T00:00:00.000000ZExample from Schema
{
"id": "00000000-0000-0000-0000-000000000000",
"handle": "voiceprint-a",
"alias": "Voiceprint A",
"state": "notComputable",
"model": "phone/v1",
"identity": {
"handle": "identity-a",
"alias": "Identity A"
},
"totalDuration": "PT7.500S",
"minAudios": 3,
"audios": 2,
"verifications": 10,
"createdAt": "2023-01-01T00:00:00.000000Z",
"computedAt": "2023-01-01T00:00:00.000000Z"
}
Resource not found
Response Body
The message of the error.
this is an error messageExample from Schema
{
"message": "this is an error message"
}
Resource collision
Response Body
The message of the error.
this is an error messageExample from Schema
{
"message": "this is an error message"
}